Ask for a behavior check
A reason from your list (400 otherwise). It waits on the behavior desk and in the Inbox. Needs write on Animals.
POST
https://{organization}.rescueconsole.com
/
api
/
animals
/
animals
/
{id}
/
behavior-checks
Ask for a behavior check
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/behavior-checks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "Guarding food or toys",
"note": "Froze over his chew when I reached for the bowl."
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reason: 'Guarding food or toys',
note: 'Froze over his chew when I reached for the bowl.'
})
};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/behavior-checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/behavior-checks"
payload = {
"reason": "Guarding food or toys",
"note": "Froze over his chew when I reached for the bowl."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"check": {
"id": "<string>",
"animal_id": "<string>",
"reason": "<string>",
"asked_at": "2023-11-07T05:31:56Z",
"open": true,
"note": "<string>",
"asked_via": "staff",
"asked_by_name": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"closed_by_name": "<string>",
"finding": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Ask for a behavior check
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/behavior-checks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "Guarding food or toys",
"note": "Froze over his chew when I reached for the bowl."
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reason: 'Guarding food or toys',
note: 'Froze over his chew when I reached for the bowl.'
})
};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/behavior-checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/behavior-checks"
payload = {
"reason": "Guarding food or toys",
"note": "Froze over his chew when I reached for the bowl."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"check": {
"id": "<string>",
"animal_id": "<string>",
"reason": "<string>",
"asked_at": "2023-11-07T05:31:56Z",
"open": true,
"note": "<string>",
"asked_via": "staff",
"asked_by_name": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"closed_by_name": "<string>",
"finding": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
